Files
Get file
Get full details for a specific file.
GET
/
files
/
{id}
Get file
curl --request GET \
--url https://app.mavera.io/api/v1/files/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/files/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/files/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "file",
"name": "<string>",
"url": "<string>",
"type": "<string>",
"size": 123,
"source": "upload",
"workspace_id": "<string>",
"folder_id": "<string>",
"folder": {
"id": "<string>",
"name": "<string>"
},
"thumbnail_url": "<string>",
"metadata": {},
"is_favorite": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Path Parameters
File ID
Response
File details
A file/asset stored in Mavera
Unique file identifier
Available options:
file File name
Direct URL to access the file
MIME type of the file (e.g., 'image/png', 'application/pdf')
File size in bytes
Source of the file upload
Available options:
upload, google_drive, dropbox, dropbox_chooser, onedrive, onedrive_picker, url Workspace ID
Folder ID if file is in a folder
Folder details if file is in a folder
Show child attributes
Show child attributes
Thumbnail URL for images/videos
Custom metadata attached to the file
Whether the file is in your favorites
⌘I
Get file
curl --request GET \
--url https://app.mavera.io/api/v1/files/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/files/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/files/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "file",
"name": "<string>",
"url": "<string>",
"type": "<string>",
"size": 123,
"source": "upload",
"workspace_id": "<string>",
"folder_id": "<string>",
"folder": {
"id": "<string>",
"name": "<string>"
},
"thumbnail_url": "<string>",
"metadata": {},
"is_favorite": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}